Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006355 [DCSS] Patches feature N/A 2012-11-01 13:36 2015-11-26 16:22
Reporter dpeg View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.12 ancient branch
Summary 0006355: Ctrl-F to list matches in inventory
Description Currently, if you search for an item (Ctrl-F), then matches from the inventory are not listed. This does cause actual confusion from time to time. It would be better if matches from the inventory are shown (at the top, because of shortest distance to character), with a suffix "(carried)".

An immediate benefit is looking for spells: with the new mode, you don't have to drop your books in order to include them into the search.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-List-items-in-player-inventory-in-Ctrl-F-output-6355.patch [^] (5,410 bytes) 2015-02-04 23:55 [Show Content]

- Relationships

-  Notes
(0028434)
chris (updater)
2015-02-04 23:56

Pretty clumsy first pass attached, but it should work and not crash all the time at least.
(0029853)
wheals (administrator)
2015-11-26 16:22

Added, with the jumping to map thing fixed in https://github.com/crawl/crawl/commit/f1744012b1a5. [^]

- Issue History
Date Modified Username Field Change
2012-11-01 13:36 dpeg New Issue
2015-02-04 23:55 chris File Added: 0001-List-items-in-player-inventory-in-Ctrl-F-output-6355.patch
2015-02-04 23:56 chris Note Added: 0028434
2015-02-04 23:59 chris Category Implementables => Patches
2015-11-26 16:22 wheals Note Added: 0029853
2015-11-26 16:22 wheals Status new => resolved
2015-11-26 16:22 wheals Fixed in Branch => 0.18 development branch
2015-11-26 16:22 wheals Resolution open => done
2015-11-26 16:22 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker